BMA EHR API Document

Loading...
Searching...
No Matches
Properties | List of all members
BMA.EHR.Application.Responses.Messages.NotificationResponse Class Reference

## Properties
Guid | Id`[get, set]`
string | Body = string.Empty`[get, set]`
Guid | ReceiverUserId = Guid.Empty`[get, set]`
string | Type = "TEXT"`[get, set]`
CommandPayload | Payload = new()`[get, set]`
bool | IsOpen = false`[get, set]`
DateTime | ReceiveDate = DateTime.Now`[get, set]`
DateTime? | OpenDate`[get, set]`

## Property Documentation

## ◆ Body

string BMA.EHR.Application.Responses.Messages.NotificationResponse.Body = string.Empty
| get set

## ◆ Id

Guid BMA.EHR.Application.Responses.Messages.NotificationResponse.Id
| get set

## ◆ IsOpen

bool BMA.EHR.Application.Responses.Messages.NotificationResponse.IsOpen = false
| get set

## ◆ OpenDate

DateTime? BMA.EHR.Application.Responses.Messages.NotificationResponse.OpenDate
| get set

## ◆ Payload

CommandPayload BMA.EHR.Application.Responses.Messages.NotificationResponse.Payload = new()
| get set

## ◆ ReceiveDate

DateTime BMA.EHR.Application.Responses.Messages.NotificationResponse.ReceiveDate = DateTime.Now
| get set

## ◆ ReceiverUserId

Guid BMA.EHR.Application.Responses.Messages.NotificationResponse.ReceiverUserId = Guid.Empty
| get set

## ◆ Type

string BMA.EHR.Application.Responses.Messages.NotificationResponse.Type = "TEXT"
| get set

The documentation for this class was generated from the following file:

- BMA.EHR.Application/Responses/Messages/NotificationResponse.cs